Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGREGAED.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGREGAED.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGREGAED.m	(revision 636)
@@ -1,4 +1,20 @@
-DGREGAED ;ALB/DW/PHH - Address Edit API; 9/1/2005
- ;;5.3;Registration;**522,560,658,730**;Aug 13, 1993;Build 2
+DGREGAED ;ALB/DW/PHH - Address Edit API; 1/5/2006  23:03 ;10/10/06  08:05
+ ;;5.3;Registration;**522,560,658,730,634**;Aug 13, 1993;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 EN(DFN,FLG) ;Entry point
  ;Input: 
@@ -11,5 +27,5 @@
  N I,X,Y
  I $G(DFN)="" Q
- ;I ($G(DFN)'?.N) Q
+ I ($G(DFN)'?.N) Q
  S FLG(1)=$G(FLG(1)),FLG(2)=$G(FLG(2))
  D INPUT(.DGINPUT,DFN)
@@ -29,5 +45,19 @@
  N DIR,X,Y,DA,DGR,DTOUT,DUOUT,DIROUT,DGN,POP
  S POP=0
- F DGN=.111,.112,.113,.1112,.131,.132,.121 Q:POP  D
+ ;
+ ; ** VOE change 1 of 3: DAOU/WCJ 2/7/2005,VA/CJS,WV/TOAD 1/5/2006 **
+ ;
+ ; .134 is new field ALTERNATE PHONE for VOE
+ ;
+ ; before change:
+ ;
+ ; F DGN=.111,.112,.113,.1112,.131,.132,.121 Q:POP  D
+ ;
+ ; after change:
+ ;
+ F DGN=.111,.112,.113,.1112,.131,.132,.134,.121 Q:POP  D
+ . ;
+ . ; end change
+ . ;
  . I ($G(DGINPUT(.111))="")&((DGN=.112)!(DGN=.113)) Q
  . I ($G(DGINPUT(.112))="")&(DGN=.113) Q
@@ -37,4 +67,11 @@
  .. I $G(DGR)=-1 S POP=1 Q
  .. N DGM F DGM=.1112,.114,.115,.117 S DGINPUT(DGM)=$G(DGR(DGM))
+ . ;
+ . ; new line:
+ . ;
+ . I DGN=.134,$G(DUZ("AG"))'="E" Q
+ . ;
+ . ; ** end of VOE change 1 **
+ . ;
 AGN . S DIR(0)=2_","_DGN
  . S DA=DFN
@@ -50,8 +87,26 @@
  I $G(POP)=1 S DGINPUT=-1
  Q
-COMPARE(DGINPUT,DFN) ;Display before & after address fields
+COMPARE(DGINPUT,DFN) ;Display before & after address fields.
  N DGCURR,DGN,DGCMP,DGM,DGCNTY,DGCIEN,DGST
  D GETS^DIQ(2,DFN_",",".111;.112;.113;.114;.115;.117;.1112;.131;.132;.121","EI","DGCURR")
- F DGN=.111,.112,.113,.114,.115,.117,.1112,.131,.132,.121 D
+ ;
+ ; ** VOE change 2 of 3: DAOU/WCJ 2/7/2005,VA/CJS,WV/TOAD 1/5/2006 **
+ ;
+ ; for VOE agency code, add new ALTERNATE PHONE field (.134)
+ ; to DGCMP("OLD") array
+ ;
+ ; before change:
+ ;
+ ; F DGN=.111,.112,.113,.114,.115,.117,.1112,.131,.132,.121 D
+ ; . S DGCMP("OLD",DGN)=$G(DGCURR(2,DFN_",",DGN,"E"))
+ ;
+ ; after change:
+ ;
+ I $G(DUZ("AG"))="E" D GETS^DIQ(2,DFN,.134,"EI","DGCURR")
+ F DGN=.111,.112,.113,.114,.115,.117,.1112,.131,.132,.134,.121 D
+ . I $G(DUZ("AG"))'="E",DGN=.134 Q  ; skip for non-VOE
+ . ;
+ . ; ** end of VOE change 2 **
+ . ;
  . S DGCMP("OLD",DGN)=$G(DGCURR(2,DFN_",",DGN,"E"))
  S DGCIEN=$G(DGCURR(2,DFN_",",.117,"I"))
@@ -77,4 +132,15 @@
  .. W !,?6,"   Phone: ",?16,$P($G(DGCMP(DGM,.131)),U)
  .. W !,?6,"  Office: ",?16,$P($G(DGCMP(DGM,.132)),U)
+ .. ;
+ .. ; ** VOE change 3 of 3: DAOU/WCJ 2/7/2005,VA/CJS,WV/TOAD 1/5/2006 **
+ .. ;
+ .. ; for VOE agency code, display new ALTERNATE PHONE field (.134)
+ .. ;
+ .. ; insert line:
+ .. ;
+ .. I $G(DUZ("AG"))="E" W !,?6," Alt Phone: ",?16,$P($G(DGCMP(DGM,.134)),U)
+ .. ;
+ .. ; ** end of VOE change 3 **
+ .. ;
  . W !,?6,"Bad Addr: ",?16,$P($G(DGCMP(DGM,.121)),U)
  . W !
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGREGAZL.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGREGAZL.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGREGAZL.m	(revision 636)
@@ -1,4 +1,4 @@
 DGREGAZL ;ALB/DW - ZIP LINKING UTILITY ; 5/27/04 10:54am
- ;;5.3;Registration;**522,560,581,730,760**;Aug 13, 1993;Build 11
+ ;;5.3;Registration;**522,560,581,730**;Aug 13, 1993;Build 2
  ;
 EN(RESULT,DFN) ;Let user edit zip+4, city, state, county based on zip-linking
@@ -43,6 +43,6 @@
  I DGZIP="" Q DGZIP
  D POSTALB^XIPUTIL(DGZIP,.DGDATA)
-  ;DG*730 - later commented out by DG*760
- ;I $G(DGDATA(1,"CITY ABBREVIATION"))'="",$G(DGDATA(1,"CITY ABBREVIATION"))=$G(DGDATA(2,"CITY")) S DGDATA=1 K DGDATA(2)
+  ;DG*730
+ I $G(DGDATA(1,"CITY ABBREVIATION"))'="",$G(DGDATA(1,"CITY ABBREVIATION"))=$G(DGDATA(2,"CITY")) S DGDATA=1 K DGDATA(2)
  I $D(DGDATA("ERROR")) D  G ZAGN
  . W $C(7)," ??"
@@ -52,5 +52,5 @@
  ;   ZIP - user input zip for the patient primary address
  ;   DFN - Interal entry number of Patient File (#2)
- ; Output:RESULT=-1 (input error or timed or ^ out) 
+ ; Output:RESULT=-1 (input error or times or ^ out) 
  ;        or    =user input city
  ;        Array index # of selected city.
@@ -59,10 +59,8 @@
  N DGCITY,DGST,DGCNTY,DGABRV,DGN,DGECH,DGSOC
  N DOLDCITY,DGSAME,DGELEVEN
- ; DG*760 brought in DGCITI
- N DGCITI
  S DGIND=""
  D POSTALB^XIPUTIL(ZIP,.DGDATA)
- ;DG*730 - later commented out by DG*760
- ;I $G(DGDATA(1,"CITY ABBREVIATION"))'="",$G(DGDATA(1,"CITY ABBREVIATION"))=$G(DGDATA(2,"CITY")) S DGDATA=1 K DGDATA(2)
+ ;DG*730
+ I $G(DGDATA(1,"CITY ABBREVIATION"))'="",$G(DGDATA(1,"CITY ABBREVIATION"))=$G(DGDATA(2,"CITY")) S DGDATA=1 K DGDATA(2)
  D FIELD^DID(2,.114,"N","LABEL","DGCITY")
  S DGN=""
@@ -71,14 +69,10 @@
  . S DGSAME=0
  . F  S DGN=$O(DGDATA(DGN)) Q:DGN=""  D
- .. S DGCITI=$P($G(DGDATA(DGN,"CITY")),"*",1)
  .. S DGABRV=$G(DGDATA(DGN,"CITY ABBREVIATION"))
- .. I DOLDCITY'="",DGCITI=DOLDCITY!(DGABRV=DOLDCITY) S DGSAME=1
- .. ; next 4 commented out lines done by DG*760
- .. ;I DGABRV="" S DGABRV=$P($G(DGDATA(DGN,"CITY")),"*",1)
- .. ;I DOLDCITY'="",DGABRV=DOLDCITY S DGSAME=1
- .. ;I $G(DGDATA(DGN,"CITY"))["*" S:DGABRV'="" DGABRV=DGABRV_"*"
- .. I $G(DGDATA(DGN,"CITY"))["*" S DGCITI=DGCITI_"*"
- .. ;S DGECH=DGN_":"_DGABRV
- .. S DGECH=DGN_":"_DGCITI
+ .. I DOLDCITY'="",DGABRV=DOLDCITY S DGSAME=1
+ .. I DGABRV="" S DGABRV=$P($G(DGDATA(DGN,"CITY")),"*",1)
+ .. I DOLDCITY'="",DGABRV=DOLDCITY S DGSAME=1
+ .. I $G(DGDATA(DGN,"CITY"))["*" S:DGABRV'="" DGABRV=DGABRV_"*"
+ .. S DGECH=DGN_":"_DGABRV
  .. S DGSOC=$S($G(DGSOC)="":DGECH,1:DGSOC_";"_DGECH)
  .. S DGTOT=DGN
@@ -111,7 +105,5 @@
  . I $D(DUOUT)!$D(DIROUT) D UPCT^DGREGAED G CAGN2
  . S RESULT=$G(Y)
- I $L($G(RESULT))>15 D
- . S DGN=Y
- . S RESULT=$G(DGDATA(DGN,"CITY ABBREVIATION"))
+ I $L($G(RESULT))>15 S RESULT=$E(RESULT,1,15)
  Q DGIND
  ;
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP1.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP1.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP1.m	(revision 636)
@@ -1,8 +1,59 @@
-DGRP1 ;ALB/MRL,ERC - DEMOGRAPHIC DATA ; 06/22/06
- ;;5.3;Registration;**109,161,506,244,546,570,629,638,649,700,653**;Aug 13, 1993;Build 2
+DGRP1 ;ALB/MRL - DEMOGRAPHIC DATA ;1/8/07  09:14
+ ;;5.3;Registration;**109,161,506,244,546,570,629,638,649,700,653,634**;Aug 13, 1993;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ ;
+ ; 2005 03 18 (VA/JT): DG*5.3*629, stop Missing Patient message based
+ ; on questionable data in Missing Person Date fld (.153).
+ ;
+ ; 2005 04 25? (VA/MRY): DG*5.3*638, add Sex to IDs shown.
+ ;
+ ; 2005 04 27 (VA/JT): DG*5.3*649, change last $EXTRACT for Alias SSN in
+ ; GETNCAL to 10 chars instead of 9, to preserve trailing P for pseudo-
+ ; SSNs.
+ ;
+ ; 2006 04 21 (WV/TOAD, after DAOU/WCJ (2005 02 07) and
+ ; VA/CJS (2005/12/23)): restore 6-part VOE change; space dots and
+ ; semi-colons.
+ ;
+ ; 2006 05 09 (WV/TOAD): rewrite VOE change to fix bugs introduced by
+ ; VA and VOE, and completely refactor bug-prone GETNCAL, and merge back
+ ; into main subroutine body.
  ;
 EN S (DGRPS,DGRPW)=1 D H^DGRPU F I=0,.11,.121,.13,.15,.24,57,"SSN" S DGRP(I)=$S($D(^DPT(DFN,I)):^(I),1:"")
  I $P(DGRP(.15),"^",2)]"" S Z="APPLICANT IS LISTED AS 'INELIGIBLE' FOR TREATMENT!",DGRPCM=1 D WW^DGRPV S DGRPCM=0
  ;I $P(DGRP(.15),"^",3)]"" S Z="APPLICANT IS LISTED AS 'MISSING'.  NOTIFY APPROPRIATE PERSONNEL!",DGRPCM=1 D WW^DGRPV S DGRPCM=0
+ ;
+ ; ** VOE change 1 of 3 **
+ ;
+ ; if EHR agency code, display Registration Date (Date Entered into
+ ; File, .097)
+ ;
+ ; new lines:
+ I $G(DUZ("AG"))="E" D
+ . W !?58,"Reg Dt: ",$$FMTE^XLFDT($P(DGRP(0),U,16),"2D")
+ ;
+ ;
+ ; show field groups 1 and 2 in two columns
+ ;
+ ; field groups 1 & 2 part 1: show Name, SSN, and DOB
+ ;
+ ;
+ ; ** end of VOE change 1 **
+ ;
  W ! S Z=1 D WW^DGRPV W "    Name: " S Z=$P(DGRP(0),"^",1),Z1=31 D WW1^DGRPV
  W "SS: " S X=$P(DGRP(0),"^",9),Z=$E(X,1,3)_"-"_$E(X,4,5)_"-"_$E(X,6,10),Z1=13 D WW1^DGRPV
@@ -17,5 +68,110 @@
  . . Q:$G(DGREAS)']""
  . . W DGREAS
- D GETNCAL  ;Display name component, sex, and alias information
+ ;
+ ; ** VOE change 2 of 3 **
+ ;
+ ; eliminate unnecessary subroutine GETNCAL and merge code back into
+ ; the main subroutine, and make the following changes:
+ ;
+ ; For EHR or IHS agency code, show Health Record No. (.02) for the
+ ; current Facility from the Health Record No. multiple field
+ ; (4101/9000001.41) of the IHS Patient file (9000001) for the current
+ ; patient.
+ ;
+ ; Move Sex field over so it shows up in the same location for
+ ; VA, IHS, and EHR, leaving a blank for where HRN can appear.
+ ;
+ ; Fix the VA bug in which patients having five valid aliases
+ ; were showing "< More alias entries on file >" instead of the fifth
+ ; alias.
+ ;
+ ; Refactor entire subroutine: clean original design was broken
+ ; by patching and had become fragile and confusing; tighten variable
+ ; scopes, use clearer names, comment.
+ ;
+ ; before:
+ ;
+ ; D GETNCAL  ;Display name component, sex, and alias information
+ ;
+ ; after:
+ ;
+ ; field groups 1 & 2 part 2: load name components
+ ;
+ ;
+ N DGLABEL S DGLABEL="^ Given^Middle^Prefix^Suffix^Degree" ; labels
+ N DGCOMP S DGCOMP=+$G(^DPT(DFN,"NAME"))_"," ; Name Components fd (1.01)
+ I DGCOMP D GETS^DIQ(20,DGCOMP,"1:6",,"DGCOMP") ; Name Components file
+ ; loads Family (Last) Name (1), Given (First) Name (2),
+ ; Middle Name (3), Prefix (4), Suffix (5), and Degree (6)
+ ;
+ ;
+ ; field groups 1 & 2 part 3: load aliases
+ ;
+ ;
+ N DGCOUNT S DGCOUNT=0 ; how many aliases do we find
+ N DGALIAS S DGALIAS=0 ; IEN of Alias subfile (1/2.01) of Patient fl (2)
+ ;                       and array of aliases found
+ S DGALIAS=0 F  D  Q:'DGALIAS
+ . ;
+ . S DGALIAS=$O(^DPT(DFN,.01,DGALIAS))
+ . Q:'DGALIAS  ; out of alias subrecords
+ . N DGNODE S DGNODE=$G(^DPT(DFN,.01,DGALIAS,0)) ; 0-node of subrecord
+ . Q:'$L(DGNODE)  ; bad node
+ . ;
+ . S DGCOUNT=DGCOUNT+1 ; another valid alias
+ . I DGCOUNT=6 S DGALIAS=0 Q  ; can't show > 5, need to know if 6 or >
+ . ;
+ . S DGALIAS(DGCOUNT)=$P(DGNODE,U) ; Alias fld (.01)
+ . ;
+ . N DGSSN S DGSSN=$P(DGNODE,U,2) ; Alias SSN fld (1)
+ . I $L(DGSSN) D
+ . . S DGSSN=" "_$E(DGSSN,1,3)_"-"_$E(DGSSN,4,5)_"-"_$E(DGSSN,6,10)
+ . . ; incl leading space to separate from alias name
+ . . ; incl 10 chars to allow for P of pseudo-SSNs
+ . . S $E(DGALIAS(DGCOUNT),20)=DGSSN ; truncate alias name & append SSN
+ . ;
+ . S DGALIAS(DGCOUNT)=$E(DGALIAS(DGCOUNT),1,32) ; truncate alias
+ ;
+ I DGCOUNT=0 S DGALIAS(1)="< No alias entries on file >"
+ I DGCOUNT=6 S DGALIAS(5)="< More alias entries on file >"
+ K DGCOUNT
+ ;
+ ;
+ ; field groups 1 & 2 part 4: show 1st name component, and IDs HRN & Sex
+ ;
+ ;
+ W !?5,"Family: "
+ W $E($G(DGCOMP(20,DGCOMP,1)),1,27)
+ ;
+ I "EI"[$G(DUZ("AG")),$G(DUZ(2)) D
+ . N DGNODE S DGNODE=$G(^AUPNPAT(DFN,41,DUZ(2),0)) ; get 0-node for the
+ . ; current Facility from the Health Record No. multiple field
+ . ; (4101/9000001.41) for DFN in the IHS Patient file (9000001)
+ . N DGHRN S DGHRN=$P(DGNODE,U,2) ; Health Record No. (.02)
+ . W ?42," HRN: ",DGHRN
+ ;
+ D
+ . N DGSEX S DGSEX=$P(DGRP(0),U,2) ; Sex fld (.02) of Patient file (2)
+ . W ?61,"Sex: ",$S(DGSEX="M":"MALE",DGSEX="F":"FEMALE",1:"UNANSWERED")
+ ;
+ ;
+ ; field groups 1 & 2 part 5: show remaining name components and aliases
+ ;
+ ;
+ N DGCOUNT F DGCOUNT=2:1:6 D
+ . W !?5,$P(DGLABEL,U,DGCOUNT),": "
+ . N DGNAME S DGNAME=$G(DGCOMP(20,DGCOMP,DGCOUNT)) ; next name component
+ . W $E(DGNAME,1,$S(DGCOUNT=2:23,1:27)) ; 1st line leaves room for "[2]"
+ . I DGCOUNT=2 D  ; header for aliases
+ . . W ?37 N DGRPW,Z S DGRPW=0,Z=2 D WW^DGRPV ; write [2], suppress LF
+ . . W " Alias: "
+ . W ?47,$G(DGALIAS(DGCOUNT-1)) ; show next alias
+ ;
+ ;
+ ; show field group 3: remarks
+ ;
+ ;
+ ; ** end of VOE change 2 **
+ ;
  S Z=3,DGRPX=DGRP(0) D WW^DGRPV W " Remarks: ",$S($P(DGRPX,"^",10)]"":$E($P(DGRPX,"^",10),1,65),1:"NO REMARKS ENTERED FOR THIS PATIENT") S DGAD=.11,(DGA1,DGA2)=1 D A^DGRPU I $P(DGRP(.121),"^",9)="Y" S DGAD=.121,DGA1=1,DGA2=2 D A^DGRPU
  S Z=4 D WW^DGRPV W " Permanent Address: " S Z=" ",Z1=17
@@ -29,4 +185,15 @@
  S X="NOT APPLICABLE" I $P(DGRP(.121),U,9)="Y" S Y=$P(DGRP(.121),U,7) X:Y]"" ^DD("DD") S X=$S(Y]"":Y,1:DGRPU)_"-",Y=$P(DGRP(.121),U,8) X:Y]"" ^DD("DD") S X=X_$S(Y]"":Y,1:DGRPU)
  W !?3,"Office: ",$S($P(DGRP(.13),U,2)]"":$P(DGRP(.13),U,2),1:DGRPU),?42,"From/To: ",X
+ ;
+ ; ** VOE change 3 of 3 **
+ ;
+ ; if EHR agency code, display Alternate Phone Number (.134)
+ ;
+ ; new lines:
+ I $G(DUZ("AG"))="E" D
+ . W !?1,"Alt Ph: ",$P($G(^DPT(DFN,.13)),U,4)
+ ;
+ ; ** end of VOE change 3 **
+ ;
  W !?1,"Bad Addr: ",$$EXTERNAL^DILFD(2,.121,"",$P(DGRP(.11),U,16))
  ;
@@ -50,34 +217,4 @@
  G ^DGRPP
  ;
-GETNCAL ;Get name component values
- N DGCOMP,DGNC,DGI,DGA,DGALIAS,DGX,DGRPW
- S DGNC="Family^Given^Middle^Prefix^Suffix^Degree"
- S DGCOMP=+$G(^DPT(DFN,"NAME"))_","
- I DGCOMP D GETS^DIQ(20,DGCOMP,"1:6",,"DGCOMP")
- ;Get alias values
- S DGA=0 F DGI=1:1:5 D  Q:'$D(DGALIAS(DGI))
-A2 .S DGA=$O(^DPT(DFN,.01,DGA))
- .I 'DGA D:DGI=1  Q
- ..S DGALIAS(DGI)="< No alias entries on file >" Q
- .I DGI=5 S DGALIAS(DGI)="< More alias entries on file >" Q
- .S DGX=$G(^DPT(DFN,.01,DGA,0)) G:'$L(DGX) A2
- .S DGALIAS(DGI)=$P(DGX,U),DGX=$P(DGX,U,2)
- .I $L(DGX) D
- ..S DGX=" "_$E(DGX,1,3)_"-"_$E(DGX,4,5)_"-"_$E(DGX,6,9)
- ..; BAJ DG*5.3*700 retrofit 06/22/06
- ..S DGALIAS(DGI)=$E(DGALIAS(DGI),1,19)
- ..S $E(DGALIAS(DGI),20)=DGX Q
- .S DGALIAS(DGI)=$E(DGALIAS(DGI),1,32)
- .Q
- ;Display name component, sex, multiple birth indicator and alias data
- F DGI=1:1:6 D
- .W !?5,$J($P(DGNC,U,DGI),6),": ",$E($G(DGCOMP(20,DGCOMP,DGI)),1,$S(DGI=1:23,1:27))
- .I DGI=1 S (Z,DGRPW)=1 W ?43,"Sex: " S X=$P(DGRP(0),"^",2),Z=$S(X="M":"MALE",X="F":"FEMALE",1:DGRPU),Z1=3 D WW1^DGRPV
- .; BAJ DG*5.3*700 retrofit 06/2206
- .I DGI=1 S (Z,DGRPW)=1 W ?56,"MBI: " S X=$P($G(^DPT(DFN,"MPIMB")),U),Z=$S(X="N":"NO",X="Y":"*MULTIPLE BIRTH*",1:DGRPU),Z1=16 D WW1^DGRPV
- .I DGI=2 S DGRPW=0,Z=2 W ?37 D WW^DGRPV W " Alias: "
- .I DGI>1 W ?47,$G(DGALIAS(DGI-1))
- .Q
- Q
 SSNREAS(DGREAS) ;get Pseuso SSN Reason - DG*5.3*653, ERC
  S DGREAS=$P(DGRP("SSN"),U)
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP14.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP14.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP14.m	(revision 636)
@@ -1,4 +1,4 @@
 DGRP14 ;ALB/MRL/EG/GAH - REGISTRATION SCREEN 14/APPOINTMENT INFORMATION ; 10/18/06
- ;;5.3;Registration;**568,585,725,770**;Aug 13, 1993;Build 4
+ ;;5.3;Registration;**568,585,725**;Aug 13, 1993;Build 12
  S DGRPS=14 D H^DGRPU S (Z,DGRPW)=1 D WW^DGRPV W " Enrollment Clinics: "
  S I1=""
@@ -17,5 +17,5 @@
  .;check to see if appointment is cancelled, if so
  .;ignore this appointment eg 01/25/2005
- .;I $$CANCEL(DFN,APTDT)="Y" Q TAKEN OUT IN PATCH 770.
+ .I $$CANCEL(DFN,APTDT)="Y" Q
  .S CLNAM=$P($P(^TMP($J,"SDAMA301",DFN,APTDT),U,2),";",2)
  .S X=$S(CLNAM]"":CLNAM,1:"UNKNOWN CLINIC")_" ("_$$FMTE^DILIBF(APTDT,"5U")_"), " W:(79-$X)<$L(X) !?24 W X
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP2.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP2.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP2.m	(revision 636)
@@ -1,4 +1,20 @@
-DGRP2 ;ALB/MRL,BRM - REGISTRATION SCREEN 2/CONTACT INFORMATION ;06 JUN 88@2300
- ;;5.3;Registration;**415,545,638,677,760**;Aug 13, 1993;Build 11
+DGRP2 ;ALB/MRL,BRM - REGISTRATION SCREEN 2/CONTACT INFORMATION ; 1/5/2006  23:54
+ ;;5.3;Registration;**415,545,638,677,634**;Aug 13, 1993;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
  S DGRPS=2 D H^DGRPU F I=0,.24,57,1010.15 S DGRP(I)=$S($D(^DPT(DFN,I)):^(I),1:"")
  S DGRPX=DGRP(0)
@@ -9,9 +25,42 @@
  ;S DGRPX=DGRP(0)
  W !?4,"Religion: ",$S($D(^DIC(13,+$P(DGRPX,"^",8),0)):$P(^(0),"^",1),1:DGRPU),?41,"Father: ",$S($P(DGRP(.24),"^",1)]"":$E($P(DGRP(.24),"^",1),1,29),1:DGRPU)
- S X=$P(DGRP(57),"^",4),X=$S(X']"":DGRPU,X="X":"NOT APPLICABLE",X=1:"PARA,",X=2:"QUAD,",X=3:"PARA,NON",1:"QUAD,NON"),X=$S("QP"[$E(X):X_"TRAUMATIC",1:X) W !?9,"SCI: ",X
+ S X=$P(DGRP(57),"^",4),X=$S(X']"":DGRPU,X="X":"NOT APPLICABLE",X=1:"PARA,",X=2:"QUAD,",X=3:"PARA,NON",1:"QUAD,NON"),X=$S("QD"[$E(X):X_"TRAUMATIC",1:X) W !?9,"SCI: ",X
  W ?41,"Mother: ",$S($P(DGRP(.24),"^",2)]"":$E($P(DGRP(.24),"^",2),1,29),1:DGRPU)
  W !,?35,"Mom's Maiden: ",$S($P(DGRP(.24),"^",3)]"":$E($P(DGRP(.24),"^",3),1,29),1:DGRPU)
- W ! S Z=2 D WW^DGRPV W " Previous Care Date      Location of Previous Care",!?4,"------------------      -------------------------" S DGRPX=DGRP(1010.15) I $P(DGRPX,"^",5)'="Y" S X="NONE INDICATED" W !?4,X,?28,X
- E  F I=1:1:4 S I1=$P(DGRPX,"^",I) X "I I#2 S Y=I1 X:Y]"""" ^DD(""DD"") W !?4,$S(Y]"""":Y,1:DGRPU)" I '(I#2) W ?28,$S($D(^DIC(4,+I1,0)):$P(^(0),"^",1),1:DGRPU)
+ ;
+ ; ** start of VOE change: DAOU,VA/CJS,WV/TOAD 1/5/2006 **
+ ;
+ ; New VOE Patient fields
+ ;
+ ; insert 7 lines:
+ ;
+ I $G(DUZ("AG"))="E" D
+ . W !?4,"Veteran: ",$$GET1^DIQ(2,DFN,19902)
+ . W !,"Interpreter Language: "
+ . N IL S IL=""
+ . N I F I=1:1 S IL=$O(^DPT(DFN,19901,"B",IL)) Q:IL=""  D
+ . . I I'=1 W ","
+ . . W $$GET1^DIQ(.85,IL,1)
+ ;
+ ; next three groups of lines have been conditionalized to only display
+ ; for VA agency code; also, refactored for clarity
+ ;
+ I $G(DUZ("AG"))="V" D
+ . W ! S Z=2 D WW^DGRPV
+ . W " Previous Care Date      Location of Previous Care"
+ . W !?4,"------------------      -------------------------"
+ . S DGRPX=DGRP(1010.15)
+ . ;
+ . I $P(DGRPX,"^",5)'="Y" D
+ . . S X="NONE INDICATED"
+ . . W !?4,X,?28,X
+ . ;
+ . E  F I=1:1:4 D
+ . . S I1=$P(DGRPX,"^",I)
+ . . X "I I#2 S Y=I1 X:Y]"""" ^DD(""DD"") W !?4,$S(Y]"""":Y,1:DGRPU)"
+ . . I '(I#2) W ?28,$S($D(^DIC(4,+I1,0)):$P(^(0),"^",1),1:DGRPU)
+ ;
+ ; ** end of VOE change **
+ ;
  W ! S Z=3 D WW^DGRPV W " Ethnicity: " D
  .I '$O(^DPT(DFN,.06,0)) W "UNANSWERED" Q
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP3.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP3.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRP3.m	(revision 636)
@@ -1,4 +1,20 @@
-DGRP3 ;ALB/MRL - REGISTRATION SCREEN 3/CONTACT INFORMATION ;06 JUN 88@2300
- ;;5.3;Registration;;Aug 13, 1993
+DGRP3 ;ALB/MRL - REGISTRATION SCREEN 3/CONTACT INFORMATION ;11/5/06  20:31
+ ;;5.3;Registration;**634**;Aug 13, 1993;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
  S DGRPW=1,DGRPS=3 D H^DGRPU F I=.21,.211,.33,.331,.34 S DGRP(I)=$S($D(^DPT(DFN,I)):^(I),1:"")
  S DGAD=.21,DGA1=3,DGA2=1 D:$P(DGRP(.21),"^",1)]"" AL^DGRPU(24) S DGAD=.211,DGA1=3,DGA2=2 D:$P(DGRP(.211),"^",1)]"" AL^DGRPU(27)
@@ -11,4 +27,11 @@
  F I=0:0 S I=$O(DGA(I)) Q:'I  S Z="              "_$E(DGA(I),1,27) W !,Z
  W !?7,"Phone: ",$P(X,"^",3),?41,"Work Phone: ",$P(X,"^",4)
+ ;New EHR code    ;DAOU/WCJ  2/7/05
+ ;New fields for agency EHR
+ I $G(DUZ("AG"))="E" S DGRPW=0,Z=6 W ! D WW^DGRPV S DGRPI=$G(^DPT(DFN,19900)) D
+ .W "Year arrived in U.S.: ",$P(DGRPI,"^",6),!
+ .W "Mother's Country of Birth: ",$P(DGRPI,"^",4),!
+ .W "Father's Country of Birth: ",$P(DGRPI,"^",5),!
+ ;End EHR modifications
 Q K DGRPI,DGRPI1
  G ^DGRPP
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRPCE.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRPCE.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRPCE.m	(revision 636)
@@ -1,4 +1,20 @@
-DGRPCE ;ALB/MRL,KV,PJR,BRM,ERC - CONSISTENCY CHECKER, EDIT INCONSISTENCIES ; 12/14/04 9:42am
- ;;5.3;Registration;**121,122,175,297,342,451,626,689,653**;Aug 13, 1993;Build 2
+DGRPCE ;ALB/MRL,KV,PJR,BRM - CONSISTENCY CHECKER, EDIT INCONSISTENCIES ; 12/14/04 9:42am
+ ;;5.3;Registration;**121,122,175,297,342,451,626,689,653,634**;Aug 13, 1993;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
  ;
  ;KV;11/15/00;DG*5.3*297;Disable addition of CD Elig Code in Reg. Screens
@@ -9,4 +25,8 @@
  S DGEK=0 F I=9,10,11,12,13,14,18,19,20,22,24,36,51 Q:DGEK  I DGER[(","_I_",") S DGEK=1 Q
  I 'DGKEY(1) D:DGEK ELDR S I=15 D SASK S I=23 D SASK
+ ;New EHR code  DAOU/WCJ  2/5/05
+ ;skip veteran related fields for agency EHR
+ G NKEY:$G(DUZ("AG"))="E"
+ ;End EHR new code 
  F I=29,30,31,32,33,43,44,45,48,56 D SASK,MON:DGCCF S DGCCF=0
  G NKEY:DGKEY(3) F I=25,26,27,28,34,35 D SASK
@@ -39,7 +59,13 @@
  S DGDRC=DGDRC+1,DGDR="DR(1,2,"_DGDRC_")",@DGDR=DGD,DGD="" Q
 ELDR S DGASK=DGASK_"9,10,11,12,13,14,18,19,20,24,29,30,31,34,36,37,38,"
- I 'DGKEY(1) S DGD="391;1901;S DGVTYN=$S($D(^DPT(DFN,""VET"")):$P(^(""VET""),""^"",1),1:"""");S:X'=""Y"" Y=""@1"";.301;S:X'=""Y"" Y=""@1"";.302;@1;" D SAVE
- I 'DGKEY(2) F I=29,30,31 S DGD=$P($T(@I),";;",2,999) D SAVE
- D:DGD]"" SAVE I 'DGKEY(3) S DGD=$P($T(34),";;",2,999) D SAVE S DGD=$P($T(51),";;",2,999) D SAVE
+ ;Previous VA code prior to EHR changes
+ ;I 'DGKEY(1) S DGD="391;1901;S DGVTYN=$S($D(^DPT(DFN,""VET"")):$P(^(""VET""),""^"",1),1:"""");S:X'=""Y"" Y=""@1"";.301;S:X'=""Y"" Y=""@1"";.302;@1;" D SAVE
+ ;I 'DGKEY(2) F I=29,30,31 S DGD=$P($T(@I),";;",2,999) D SAVE
+ ;D:DGD]"" SAVE I 'DGKEY(3) S DGD=$P($T(34),";;",2,999) D SAVE S DGD=$P($T(51),";;",2,999) D SAVE
+ ;New code  DAOU/WCJ 2/5/05  Skip veteran specific fields
+ I 'DGKEY(1),$G(DUZ("AG"))'="E"  S DGD="391;1901;S DGVTYN=$S($D(^DPT(DFN,""VET"")):$P(^(""VET""),""^"",1),1:"""");S:X'=""Y"" Y=""@1"";.301;S:X'=""Y"" Y=""@1"";.302;@1;" D SAVE
+ I 'DGKEY(2),$G(DUZ("AG"))'="E"  F I=29,30,31 S DGD=$P($T(@I),";;",2,999) D SAVE
+ D:DGD]"" SAVE I 'DGKEY(3),$G(DUZ("AG"))'="E"  S DGD=$P($T(34),";;",2,999) D SAVE S DGD=$P($T(51),";;",2,999) D SAVE
+ ;End new code  DAOU/WCJ  2/5/05
  I 'DGKEY(1) D ELIG^DGRPCE1
  Q
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRPD.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRPD.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRPD.m	(revision 636)
@@ -1,12 +1,10 @@
-DGRPD ;ALB/MRL/MLR/JAN/LBD/EG/BRM/JRC-PATIENT INQUIRY (NEW) ; 3/9/06 11:17am
- ;;5.3;Registration;**109,124,121,57,161,149,286,358,436,445,489,498,506,513,518,550,545,568,585,677,703**;Aug 13, 1993
+DGRPD ;ALB/MRL/MLR/JAN/LBD/EG/BRM/JRC-PATIENT INQUIRY (NEW) ;1/27/07  13:14
+ ;;5.3;Registration;**109,124,121,57,161,149,286,358,436,445,489,498,506,513,518,550,545,568,585,677,703,634**;Aug 13, 1993;Build 28
+ ; Modified from FOIA VISTA
+ ; GPL Copyright (C) 2007 WorldVistA
  ;  *286*  Newing variables X,Y in OKLINE subroutine
- ;  *358*  If a patient is on a domiciliary ward, don't display MEANS
- ;         TEST required/Medication Copayment Exemption messages
- ;  *436*  If an inpatient is not on a domiciliary ward, don't display
- ;         Medication Copayment Exemption message
- ;  *545*  Add death information near the remarks field
- ;  *677*  Added Emergency Response
+ ;  
 SEL K DFN,DGRPOUT W ! S DIC="^DPT(",DIC(0)="AEQMZ" D ^DIC G Q:Y'>0 S DFN=+Y N Y W ! S DIR(0)="E" D ^DIR G SEL:$D(DTOUT)!($D(DUOUT)) D EN G SEL
+ ;
 EN ;call to display patient inquiry - input DFN
  ;MPI/PD CHANGE
@@ -51,7 +49,14 @@
  .F X=2:1 Q:'$D(RACE(X,0))&'$D(ETHNIC(X,0))  W !,?9,$G(RACE(X,0)),?51,$G(ETHNIC(X,0))
  I '$$OKLINE(16) G Q
- ;display cv status #4156
- N DGCV S DGCV=$$CVEDT^DGCV(+DFN)
- W !!,?2,"Combat Vet Status: "_$S($P(DGCV,U,3)=1:"ELIGIBLE",$P(DGCV,U,3)="":"NOT ELIGIBLE",1:"EXPIRED") I DGCV>0 W ?45,"End Date: "_$$FMTE^XLFDT($P(DGCV,U,2),"5DZ")
+ ;
+ ; VOE change
+ ;
+ I DUZ("AG")="V" D
+ . ;display cv status #4156
+ . N DGCV S DGCV=$$CVEDT^DGCV(+DFN)
+ . W !!,?2,"Combat Vet Status: "_$S($P(DGCV,U,3)=1:"ELIGIBLE",$P(DGCV,U,3)="":"NOT ELIGIBLE",1:"EXPIRED") I DGCV>0 W ?45,"End Date: "_$$FMTE^XLFDT($P(DGCV,U,2),"5DZ")
+ ;
+ ; end VOE change
+ ;
  ;display primary eligibility
  S X1=DGRP(.36),X=$P(DGRP(.361),"^",1) W !,"Primary Eligibility: ",$S($D(^DIC(8,+X1,0)):$P(^(0),"^",1)_" ("_$S(X="V":"VERIFIED",X="P":"PENDING VERIFICATION",X="R":"PENDING REVERIFICATION",1:"NOT VERIFIED")_")",1:DGRPU)
@@ -111,6 +116,16 @@
 HDR I '$D(IOF) S IOP="HOME" D ^%ZIS K IOP
  ;MPI/PD CHANGE
- W @IOF,!,$P(VADM(1),"^",1),?40,$P(VADM(2),"^",2),?65,$P(VADM(3),"^",2) S X="",$P(X,"=",78)="" W !,X,!?15,"COORDINATING MASTER OF RECORD: ",DGCMOR,! Q
+ ; VOE CHANGE
+ ; W @IOF,!,$P(VADM(1),"^",1),?40,$P(VADM(2),"^",2),?65,$P(VADM(3),"^",2) S X="",$P(X,"=",78)="" W !,X,!?15,"COORDINATING MASTER OF RECORD: ",DGCMOR,! Q
+ W @IOF,!,$P(VADM(1),"^",1),?32,$P(VADM(2),"^",2),?50,$$HRNV(DFN),?65,$P(VADM(3),"^",2) S X="",$P(X,"=",78)="" W !,X,!?15,"COORDINATING MASTER OF RECORD: ",DGCMOR,! Q
  ;END MPI/PD CHANGE
+HRNV(DFN) ;
+ N IRET
+ S IRET=$$HRN^DGLBPID(DFN)
+ I IRET="#" Q ""
+ S IRET="HRN "_IRET
+ Q IRET
+ ; END VOE CHANGE
+ ;
 INP S VAIP("D")="L" D INP^DGPMV10
  S DGPMT=0
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRPDB.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRPDB.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGRPDB.m	(revision 636)
@@ -1,4 +1,4 @@
 DGRPDB ;ALB/AAS,JAN,ERC,PHH - VIEW ONLY SCREEN TO DETERMINE BILLING ELIGIBILITY ; 3/23/06 8:16am
- ;;5.3;Registration;**26,50,358,570,631,709,713,749**;Aug 13, 1993;Build 10
+ ;;5.3;Registration;**26,50,358,570,631,709,713**;Aug 13, 1993
  ;
 % S:'$D(DGQUIT) DGQUIT=0
@@ -62,13 +62,7 @@
  ;
 AOIR ;Agent Orange/ionizing radiation
- N DGEC,NTA
  S DGX=$S($D(^DPT(DFN,.321)):^(.321),1:"")
  F I=2,3 S X=$P(DGX,"^",I) W:I=2 !,"           A/O Exp.: " W:I=3 "ION Rad.: " W $S(X="Y":"YES",X="N":"NO",X="U":"UNKNOWN",1:"NOT ANSWERED"),"   "
  S X=$G(^DPT(DFN,.38)),X1=$P(X,"^",1) W "Medicaid Elig: ",$S(X1="":"NOT ANSWERED",'X1:"NO",1:"YES") I ($X+15)'>IOM W " - " S Y=$P(X,"^",2) D D^DIQ W $P(Y,"@")
- S DGEC=$S($D(^DPT(DFN,.322)):^DPT(DFN,.322),1:"")
- S X=$P(DGEC,U,13) W !,"        Env Contam.: " W $S(X="Y":"YES",X="N":"NO",X="U":"UNKNOWN",1:"NOT ANSWERED"),"   "
- S NTA=$S($$GETCUR^DGNTAPI(DFN,"DGNTARR")>0:DGNTARR("INTRP"),1:"")
- K DGNTARR
- W "N/T Radium: " W $S(NTA'="":NTA,1:"NOT ANSWERED")
  Q
  ;
